Bug 235558 - problem with modified iPod usb device
problem with modified iPod usb device
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-04-07 04:49 EDT by Thorsten Scherf
Modified: 2008-02-07 23:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:24:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thorsten Scherf 2007-04-07 04:49:54 EDT
Description of problem:


Version-Release number of selected component (if applicable):
kernel-2.6.20-1.2933.fc6

How reproducible:
attach an ipod device to an usb port

Steps to Reproduce:
1.attach the device to an usb port
2.
3.
  
Actual results:
/var/log/messages:
Apr  7 10:44:38 ernie kernel: usb 4-3: new high speed USB device using ehci_hcd
and address 84
Apr  7 10:44:39 ernie kernel: usb 4-3: device descriptor read/64, error -71
Apr  7 10:44:44 ernie kernel: usb 4-3: device descriptor read/64, error -71
Apr  7 10:44:44 ernie kernel: usb 4-3: new high speed USB device using ehci_hcd
and address 85
Apr  7 10:44:46 ernie kernel: usb 4-3: device descriptor read/64, error -71
Apr  7 10:44:51 ernie kernel: usb 4-3: device descriptor read/64, error -71
Apr  7 10:44:51 ernie kernel: usb 4-3: new high speed USB device using ehci_hcd
and address 86
Apr  7 10:44:56 ernie kernel: usb 4-3: device not accepting address 86, error -71
Apr  7 10:44:57 ernie kernel: usb 4-3: new high speed USB device using ehci_hcd
and address 87
Apr  7 10:45:02 ernie kernel: usb 4-3: device not accepting address 87, error -71


Expected results:
device gets mounted

Additional info:
Comment 1 Chuck Ebbert 2007-04-09 15:25:00 EDT
error -71 is "protocol error" according to errno.h
Comment 2 Pete Zaitcev 2007-04-09 15:38:56 EDT
Forget errno.h. The error codes are in Documentation/usb/error-codes.txt.
The early and persistent -71 is usually a bad port or a cable (less likely
with real Apple cables, but possible). Sometimes reflashing the iPod
fixes it too (I had a buddy with a 4G where it was the case - Apple
shipped an update).
Comment 3 Chuck Ebbert 2007-04-09 15:49:24 EDT
Could this be the infamous "device draws too much power" problem?

Thorsten, did this iPod ever work on any kernel version?
What model is it, and is the firmware up-to-date?
Comment 4 Thorsten Scherf 2007-04-11 16:49:25 EDT
The ipod is working from time to time but had I absolutely no problems with it
in the past. with the latest fc6 kernels I have more and more problems with the
device. I'm using rockbox instead of the orginal apple firmware and of course I
already tried a different set of usb-cables.

btw, talking about a 4G 1st generation ipod. 

any other idea what the problem could be?
Comment 5 Thorsten Scherf 2007-04-11 16:53:09 EDT
here is the log entry when the device will be recognized (as I said before, this
happens from time to time):

Apr 11 22:51:34 ernie kernel: usb 4-3: new high speed USB device using ehci_hcd
and address 53
Apr 11 22:51:34 ernie kernel: usb 4-3: configuration #1 chosen from 2 choices
Apr 11 22:51:34 ernie kernel: Initializing USB Mass Storage driver...
Apr 11 22:51:34 ernie kernel: scsi0 : SCSI emulation for USB Mass Storage devices
Apr 11 22:51:34 ernie kernel: usbcore: registered new interface driver usb-storage
Apr 11 22:51:34 ernie kernel: USB Mass Storage support registered.
Apr 11 22:51:39 ernie kernel: scsi 0:0:0:0: Direct-Access     Apple    iPod    
        1.62 PQ: 0 ANSI: 0
Apr 11 22:51:40 ernie kernel: SCSI device sda: 7999487 512-byte hdwr sectors
(4096 MB)
Apr 11 22:51:40 ernie kernel: sda: Write Protect is off
Apr 11 22:51:40 ernie kernel: sda: assuming drive cache: write through
Apr 11 22:51:40 ernie kernel: SCSI device sda: 7999487 512-byte hdwr sectors
(4096 MB)
Apr 11 22:51:40 ernie kernel: sda: Write Protect is off
Apr 11 22:51:40 ernie kernel: sda: assuming drive cache: write through
Apr 11 22:51:40 ernie kernel:  sda: sda1 sda2
Apr 11 22:51:40 ernie kernel: sd 0:0:0:0: Attached scsi removable disk sda
Apr 11 22:51:40 ernie kernel: sd 0:0:0:0: Attached scsi generic sg0 type 0
Apr 11 22:51:41 ernie hald: mounted /dev/sda2 on behalf of uid 500
Comment 6 Jon Stanley 2008-01-07 20:47:25 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 7 Jon Stanley 2008-02-07 23:24:43 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.